Subject: MAILCAP, Content-type

From: [email-masked] (Michael A. Passineau)
Date: 14 Feb 1995 04:57:17 GMT

Hello!

We are working with PC Pine and the HPUX port of Pine, both v3.91
and have some questions concerning how the mailcap file is 
constructed.  If we attach a MS Word document to a Pine message
the Content-type header field lists it as Multipart/Mixed with
a boundary= parameter.  When we go to view the document/attachment
in the PC Pine version with an entry in our mailcap file as follows:

Multipart/Mixed;c:\word\winword %s

The MS Word application launches but we receive an error stating the
file c:\temp\imxxxxxx.doc can not be found/open?  The file never gets
created in \TEMP either.

We are wondering about a couple of things.  First is their a Content type
for specific vendors applications?  If so, where can I obtain a list of
registered content type values that I can use in my mailcap file?  I
understand the IANA keeps these.  Second, what is the proper syntax for
the mailcap file to have it launch say MS Word for Windows, Lotus for
Windows, etc. based on the attachment content-type?  I have noticed that
our TCP/IP stack vendor (FTP Software) includes a MAPI compliant mailer
that puts a content-type value in when you use it to mail attachments.
It gave the above MS Word document a content-type of:
application/MSWORD.  I read there a extension tokens that can be 
referenced in the mailcap.  Are these regeistered, and can I obtain a
list of registered extensions (ie .DOC, .WK4, etc.)?

Any help on the subject of constructing the mailcap file, and valid
supported content-types, extension tokens, etc. would be greatly 
appreciated!

Best regards. . .   Mike